Download a workspace file
Downloads a private file from the authenticated workspace, including chat attachments and generated artifacts.
GET
/workspace/files/{fileId}Authorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredPath parameters
fileIdstringrequiredFile ID to download
Responses
200The requested file bytes
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
404File not found in this workspace
Request
curl -X GET "https://leadtime.app/api/public/workspace/files/string" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/workspace/files/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/workspace/files/string",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
The requested file bytes
Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions
File not found in this workspace